<?php
/* HLTV stuff 0.1
 * 
 * As requested by ghostofmybrain at AlliedMods.net: http://forums.alliedmods.net/showthread.php?t=180899
 *
 * Requirements:
 * PHP 5.2.8 or higher, with PDO
 * MySQL 5 or higher

 * This script is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Do What The Fuck You Want
 * To Public License, Version 2, as published by Sam Hocevar. See
 * http://sam.zoy.org/wtfpl/COPYING for more details.
 */

require_once('lib/db.php');
require_once('lib/functions.php');
require_once('lib/HLDS.class.php');
?>

<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>HLTV management</title>
    <link href="css/style.css" rel="stylesheet" type="text/css">

    <?php
    if (isset($_GET['id']) && is_numeric($_GET['id'])) {
      $id = (int) $_GET['id'];
      $hlds = new HLDS($db_handle);
      $hlds->getByID($id);

      if (isset($hlds->errors)) {
        ?>
        <meta http-equiv="refresh" content="5; url=index.php">
      </head>
      <body>
        <?php
        printMessages($hlds->errors, true);
      }
      else {
        ?>
      </head>
    <body>
      <?php
      // is the server to be deleted?
      if (isset($_GET['del']) && $_GET['del'] == 1) {
        ?>
        <form action="edit.php" method="post">
          Are you absolutely positively sure you want to delete <?php echo $hlds->name ?> (id <?php echo $hlds->id ?>) ? This action is irreversible.
          <fieldset>
            <input type="hidden" name="delete" value="<?php echo $hlds->id ?>">
            <input class="delete" type="submit" name="submit" value="delete server">
          </fieldset>
        </form>
        <?php
      }
      // no, the server is to be edited
      else {
        printForm($hlds);
      }
    }
  }


  if (isset($_POST['submit'])) {
    if (isset($_POST['delete']) && is_numeric($_POST['delete'])) {
      // someone wishes to delete a server
      $errors = array();
      $stmt = $db_handle->prepare("DELETE FROM hlds WHERE id = :id");
      $stmt->bindParam(':id', $_POST['delete'], PDO::PARAM_INT);
      if ($stmt->execute() !== true) {
        if ($stmt->errorCode() > 0) {
          foreach ($stmt->errorInfo() as $error) {
            $this->error($error);
          }
        }
        else {
          ?>
          <meta http-equiv="refresh" content="5; url=index.php">
        </head>
        <body>
          <?php
          $errors[] = 'Could not delete HLDS';
          printMessages($errors, true);
        }
      }
      else {
        ?>
        <meta http-equiv="refresh" content="5; url=index.php">
      </head>
      <body>
        <?php
        printMessages('Deleted HLDS');
      }
    }
    else {
      // process submitted HLDS

      $errors = validateInput($_POST);

      $hlds = new HLDS($db_handle);

      if (isset($_POST['id']) && is_numeric($_POST['id'])) {
        $hlds->id = (int) $_POST['id'];
      }
      $hlds->name = trim($_POST['name']);
      $hlds->ip = trim($_POST['ip']);
      $hlds->port = (int) $_POST['port'];
      $hlds->min_playercount = trim($_POST['min_playercount']);
      if (isset($_POST['monitor'])) {
        $hlds->monitor = trim($_POST['monitor']);
      }
      else {
        $hlds->monitor = 0;
      }
      $hlds->hltv_name = trim($_POST['hltv_name']);
      $hlds->hltv_ip = trim($_POST['hltv_ip']);
      $hlds->hltv_port = (int) $_POST['hltv_port'];
      $hlds->hltv_rcon_password = trim($_POST['hltv_rcon_password']);
      $hlds->hltv_demo_prefix = trim($_POST['hltv_demo_prefix']);
      if ($hlds->hltv_demo_prefix == '') {
        $hlds->hltv_demo_prefix = 'demo';
      }

      if (count($errors) > 0) {
        printForm($hlds);
        printMessages($errors);
      }
      else {
        $hlds->save();
        if (isset($hlds->errors)) {
          ?>
        </head>
        <body>
          <?php
          printMessages($hlds->errors);
        }
        if (isset($hlds->success)) {
          ?>
          <meta http-equiv="refresh" content="5; url=index.php">
        </head>
        <body>
          <?php
          printMessages($hlds->success);
        }
      }
    }
  }
  ?>
</body>
</html>

