<?php
/* HLTV stuff 0.1
 * 
 * As requested by ghostofmybrain at AlliedMods.net: http://forums.alliedmods.net/showthread.php?t=180899
 *
 * Requirements:
 * PHP 5.2.8 or higher, with PDO
 * MySQL 5 or higher

 * This script is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Do What The Fuck You Want
 * To Public License, Version 2, as published by Sam Hocevar. See
 * http://sam.zoy.org/wtfpl/COPYING for more details.
 */

require_once('lib/db.php');
require_once('lib/functions.php');
require_once('lib/HLDS.class.php');
?>
<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>HLTV management</title>
    <link href="css/style.css" rel="stylesheet" type="text/css">
  </head>
  <body>
    <?php
    $result = loadAll($db_handle);
    if (is_string($result)) {
      echo $result;
    }
    else {
      ?>
      <table>
        <colgroup span="6" class="hlds"></colgroup>
        <colgroup span="6" class="hltv"></colgroup>
        <colgroup span="2" class="controls"></colgroup>
        <thead>
          <tr>
            <th>id</th><th>HLDS</th><th>ip</th><th>port</th><th>min players</th><th>monitor</th>
            <th>recording</th><th>HLTV</th><th>ip</th><th>port</th><th>rcon password</th><th>demo prefix</th>
            <th>edit</th><th>delete</th>
          </tr>
        </thead>
        <tbody>

          <?php
          foreach ($result as $row) {
            ?>
            <tr id="hlds_<?php echo $row['id'] ?>">
              <td><?php echo $row['id'] ?></td><td><?php echo htmlspecialchars($row['name']) ?></td><td><?php echo $row['ip'] ?></td><td><?php echo $row['port'] ?></td><td><?php echo $row['min_playercount'] ?></td><td><?php echo ($row['monitor'] == 1 ? '<img src="img/ok.png" height="24" width="24" alt="yes">' : '<img src="img/no.png" height="24" width="24" alt="no">') ?></td>
              <td><?php echo ($row['recording'] == 1 ? '<img src="img/ok.png" height="24" width="24" alt="yes">' : '<img src="img/no.png" height="24" width="24" alt="no">') ?></td><td><?php echo htmlspecialchars($row['hltv_name']) ?></td><td><?php echo $row['hltv_ip'] ?></td><td><?php echo $row['hltv_port'] ?></td><td><?php echo htmlspecialchars($row['hltv_rcon_password']) ?></td><td><?php echo htmlspecialchars($row['hltv_demo_prefix']) ?></td>
              <td><a href="edit.php?id=<?php echo $row['id'] ?>" title="edit <?php echo htmlspecialchars($row['name']) ?>"><img src="img/edit.png" width="24" height="24" alt="edit"></a></td><td><a href="edit.php?id=<?php echo $row['id'] ?>&amp;del=1" title="delete <?php echo htmlspecialchars($row['name']) ?>"><img src="img/delete.png" width="24" height="24" alt="delete"></a></td>
            </tr>
            <?php
          }
          ?>
        </tbody>
      </table>
      <?php
    }
    printForm();
    ?>
  </body>
</html>

